Bug 750461 - Review Request: php-phpunit-PHP-Invoker - Utility class for invoking callables with a timeout
Summary: Review Request: php-phpunit-PHP-Invoker - Utility class for invoking callable...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mathieu Bridon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-01 08:45 UTC by Remi Collet
Modified: 2011-11-20 20:18 UTC (History)
3 users (show)

Fixed In Version: php-phpunit-PHP-Invoker-1.0.0-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-14 00:51:18 UTC
Type: ---
bochecha: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-11-01 08:45:06 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/master/php-phpunit-PHP-Invoker/php-phpunit-PHP-Invoker.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-phpunit-PHP-Invoker-1.0.0-1.remi.src.rpm
Description: 
Utility class for invoking callables with a timeout.


New dependency required by PHPUnit.

Comment 1 Mathieu Bridon 2011-11-01 09:50:32 UTC
Taking.

Comment 3 Mathieu Bridon 2011-11-01 10:23:29 UTC
[x] package passes
[-] not applicable
[!] package fails

== MUST ==

[x] rpmlint output
  $ rpmlint php-phpunit-PHP-Invoker*
  php-phpunit-PHP-Invoker.noarch: W: spelling-error Summary(en_US) callables -> callable, callable s, syllables
  php-phpunit-PHP-Invoker.noarch: W: spelling-error %description -l en_US callables -> callable, callable s, syllables
  php-phpunit-PHP-Invoker.src: W: spelling-error Summary(en_US) callables -> callable, callable s, syllables
  php-phpunit-PHP-Invoker.src: W: spelling-error %description -l en_US callables -> callable, callable s, syllables
  2 packages and 1 specfiles checked; 0 errors, 4 warnings.
  => This can all be ignored

[x] The package must be named according to the Package Naming Guidelines
[x] The spec file name must match the base package %{name}
[x] The package must meet the Packaging Guidelines
[x] The package must be licensed with a Fedora approved license
[x] The License field in the package spec file must match the actual license.
[x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file must be included in %doc
[x] The spec file must be written in American English
[x] The spec file for the package MUST be legible
[x] The sources used to build the package must match the upstream source, as
provided in the spec URL
  $ sha1sum PHP_Invoker-1.0.0.tgz
  35167f11d6b75cfed0f1c15c15236bc992aa6d81  PHP_Invoker-1.0.0.tgz
  
[x] The package '''MUST''' successfully compile and build into binary rpms on
at least one primary architecture
[-] The spec file MUST handle locales properly
[-] Every binary RPM package (or subpackage) which stores shared library files
(not just symlinks) in any of the dynamic linker's default paths, must call
ldconfig in %post and %postun
[x] Packages must NOT bundle copies of system libraries
[-] If the package is designed to be relocatable, the packager must state this
fact in the request for review
[x] A package must own all directories that it creates. If it does not create a
directory that it uses, then it should require a package which does create that
directory.
[x] A Fedora package must not list a file more than once in the spec file's
%files listings
[x] Permissions on files must be set properly
[x] Each package must consistently use macros
[x] The package must contain code, or permissable content
[-] Large documentation files must go in a -doc subpackage
    $ rpm2cpio gtksourceviewmm3-devel-2.91.5-1.fc16.x86_64.rpm | cpio -id
    5957 blocks
    $ du -sh usr/share/gtk-doc
    2.9M usr/share/gtk-doc

[x] If a package includes something as %doc, it must not affect the runtime of
the application
[-] Header files must be in a -devel package
[-] Static libraries must be in a -static package
[-] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package
[-] Subpackages requiring the base package
[x] Packages must NOT contain any .la libtool archives, these must be removed
in the spec if they are built
[-] Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section
[x] Packages must not own files or directories already owned by other packages
[x] All filenames in rpm packages must be valid UTF-8

== SHOULD ==

[-] If the source package does not include license text(s) as a separate file
from upstream, the packager SHOULD query upstream to include it
[x] If scriptlets are used, those scriptlets must be sane
[-] Usually, subpackages other than devel should require the base package using
a fully versioned dependency
[-] The placement of pkgconfig(.pc) files depends on their usecase, and this is
usually for development purposes, so should be placed in a -devel pkg
[-] If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself
[-] your package should contain man pages for binaries/scripts

Package is approved.

Comment 4 Remi Collet 2011-11-01 10:25:38 UTC
Thanks for the quick review

New Package SCM Request
=======================
Package Name: php-phpunit-PHP-Invoker
Short Description: Utility class for invoking callables with a timeout
Owners: remi
Branches: f15 f16 el6
InitialCC:

Comment 5 Gwyn Ciesla 2011-11-01 11:52:58 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-11-01 14:03:37 UTC
php-phpunit-PHP-Invoker-1.0.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-phpunit-PHP-Invoker-1.0.0-3.fc16

Comment 7 Fedora Update System 2011-11-01 14:04:15 UTC
php-phpunit-PHP-Invoker-1.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-phpunit-PHP-Invoker-1.0.0-3.fc15

Comment 8 Fedora Update System 2011-11-01 14:04:52 UTC
php-phpunit-PHP-Invoker-1.0.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-phpunit-PHP-Invoker-1.0.0-3.el6

Comment 9 Fedora Update System 2011-11-02 00:06:01 UTC
php-phpunit-PHP-Invoker-1.0.0-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2011-11-14 00:51:18 UTC
php-phpunit-PHP-Invoker-1.0.0-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 11 Fedora Update System 2011-11-14 00:51:30 UTC
php-phpunit-PHP-Invoker-1.0.0-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2011-11-20 20:18:10 UTC
php-phpunit-PHP-Invoker-1.0.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.